#ifndef _BLOCXX_BLOCXX_CONFIG_H
#define _BLOCXX_BLOCXX_CONFIG_H 1
 
/*
blocxx/BLOCXX_config.h.
Generated
automatically
at
end
of
configure.
*/
/* config.h.  Generated from config.h.in by configure.  */
/* config.h.in.  Generated from configure.in by autoheader.  */
/*******************************************************************************
* Copyright (C) 2001-3 Vintela, Inc. All rights reserved.
*
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions are met:
*
*  - Redistributions of source code must retain the above copyright notice,
*    this list of conditions and the following disclaimer.
*
*  - Redistributions in binary form must reproduce the above copyright notice,
*    this list of conditions and the following disclaimer in the documentation
*    and/or other materials provided with the distribution.
*
*  - Neither the name of Vintela, Inc. nor the names of its
*    contributors may be used to endorse or promote products derived from this
*    software without specific prior written permission.
*
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS''
* AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
* ARE DISCLAIMED. IN NO EVENT SHALL Vintela, Inc. OR THE CONTRIBUTORS
* BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
* CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
* SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
* INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
* CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
* ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
* POSSIBILITY OF SUCH DAMAGE.
*******************************************************************************/

/**
 * @author Dan Nuffer
 */

/* autoconf set variables here */


/* Defined if --enable-debug was passed to configure */
/* #undef BLOCXX__GLIBCXX_DEBUG */

#if defined(__cplusplus)
 #if defined(BLOCXX__GLIBCXX_DEBUG) && !defined(_GLIBCXX_DEBUG)
#error "This is a debug build of BloCxx: You must compile with -D_GLIBCXX_DEBUG"
 #endif
 #if !defined(BLOCXX__GLIBCXX_DEBUG) && defined(_GLIBCXX_DEBUG)
#error "This is a non-debug build of BloCxx: You must not compile with -D_GLIBCXX_DEBUG"
 #endif
#endif

/* The system has OpenSSL headers and libs */
#ifndef BLOCXX_HAVE_OPENSSL 
#define BLOCXX_HAVE_OPENSSL 1 
#endif

/* The system doesn't have OpenSSL */
/* #undef BLOCXX_NO_SSL */

/* Dirs from configure */
#ifndef BLOCXX_DEFAULT_SYSCONF_DIR 
#define BLOCXX_DEFAULT_SYSCONF_DIR "/etc" 
#endif
#ifndef BLOCXX_DEFAULT_STATE_DIR 
#define BLOCXX_DEFAULT_STATE_DIR "/var" 
#endif
#ifndef BLOCXX_DEFAULT_LIB_DIR 
#define BLOCXX_DEFAULT_LIB_DIR "/usr/lib64" 
#endif
#ifndef BLOCXX_DEFAULT_LIBEXEC_DIR 
#define BLOCXX_DEFAULT_LIBEXEC_DIR "/usr/lib" 
#endif

/* Either "" or the argument to --with-package-prefix */
#ifndef BLOCXX_PACKAGE_PREFIX 
#define BLOCXX_PACKAGE_PREFIX "" 
#endif

/* Defined if --enable-stack-trace was passed to configure */
/* #undef BLOCXX_ENABLE_STACK_TRACE_ON_EXCEPTIONS */

/* Defined if --enable-debug was passed to configure */
/* #undef BLOCXX_DEBUG */

/* Defined if --enable-profile was passed to configure */
/* #undef BLOCXX_PROFILE */

/* Defined if we are building gnu pthreads version */
#ifndef BLOCXX_USE_PTHREAD 
#define BLOCXX_USE_PTHREAD 1 
#endif

/* Defined if we want to use custom "new" operator to debug memory leaks */
/* #undef BLOCXX_DEBUG_MEMORY */

/* Define if we want to print "Entering"/"Leaving" <functionName> */
/* #undef BLOCXX_PRINT_FUNC_DEBUG */

/* Define if we want to check for NULL references and throw an exception */
#ifndef BLOCXX_CHECK_NULL_REFERENCES 
#define BLOCXX_CHECK_NULL_REFERENCES 1 
#endif

/* Define if we want to check for valid array indexing and throw an exception */
#ifndef BLOCXX_CHECK_ARRAY_INDEXING 
#define BLOCXX_CHECK_ARRAY_INDEXING 1 
#endif

/* Define which one is the current platform */
#ifndef BLOCXX_GNU_LINUX 
#define BLOCXX_GNU_LINUX 1 
#endif
/* #undef BLOCXX_OPENUNIX */
/* #undef BLOCXX_SOLARIS */
/* #undef BLOCXX_OPENSERVER */
/* #undef BLOCXX_DARWIN */
/* #undef BLOCXX_HPUX */
/* #undef BLOCXX_FREEBSD */
/* #undef BLOCXX_NCR */


/* #undef u_int8_t */
/* #undef u_int16_t */
/* #undef u_int32_t */
#ifndef BLOCXX_HAVE_SOCKLEN_T 
#define BLOCXX_HAVE_SOCKLEN_T 1 
#endif

#ifndef BLOCXX_HAVE_PTHREAD_MUTEXATTR_SETTYPE 
#define BLOCXX_HAVE_PTHREAD_MUTEXATTR_SETTYPE 1 
#endif
#ifndef BLOCXX_HAVE_PTHREAD_SPIN_LOCK 
#define BLOCXX_HAVE_PTHREAD_SPIN_LOCK 1 
#endif
#ifndef BLOCXX_HAVE_PTHREAD_BARRIER 
#define BLOCXX_HAVE_PTHREAD_BARRIER 1 
#endif

/* Define if system has dlfcn.h */
#ifndef BLOCXX_USE_DL 
#define BLOCXX_USE_DL 1 
#endif
/* Define if system has shl_*() <dl.h> */
/* #undef BLOCXX_USE_SHL */
/* Define if a system has dyld.h (Mac OS X) */
/* #undef BLOCXX_USE_DYLD */

/* Define to enable workarounds so we can work with valgrind */
/* #undef BLOCXX_VALGRIND_SUPPORT */

/* Define to enable workarounds for non-thread safe exception handling support */
/* #undef BLOCXX_NON_THREAD_SAFE_EXCEPTION_HANDLING */


/* Define if building universal (internal helper macro) */
/* #undef BLOCXX_AC_APPLE_UNIVERSAL_BUILD */

/* Target OS is AIX */
/* #undef BLOCXX_AIX */

/* HP PA-RISC 2.0 architecture */
/* #undef BLOCXX_ARCH_HPPA20 */

/* Itanium architecture */
/* #undef BLOCXX_ARCH_IA64 */

/* PowerPC architecture */
/* #undef BLOCXX_ARCH_PPC */

/* PowerPC64 architecture */
/* #undef BLOCXX_ARCH_PPC64 */

/* s390 architecture */
/* #undef BLOCXX_ARCH_S390 */

/* s390x architecture */
/* #undef BLOCXX_ARCH_S390X */

/* SPARC architecture */
/* #undef BLOCXX_ARCH_SPARC */

/* Unknown architecture */
/* #undef BLOCXX_ARCH_UNKNOWN */

/* Intel x86 architecture */
/* #undef BLOCXX_ARCH_X86 */

/* x86-64 architecture */
#ifndef BLOCXX_ARCH_X86_64 
#define BLOCXX_ARCH_X86_64 1 
#endif

/* blocxx Library Version */
#ifndef BLOCXX_LIBRARY_VERSION 
#define BLOCXX_LIBRARY_VERSION 6 
#endif

/* blocxx Major Version */
#ifndef BLOCXX_MAJOR_VERSION 
#define BLOCXX_MAJOR_VERSION 2 
#endif

/* blocxx Micro Version */
#ifndef BLOCXX_MICRO_VERSION 
#define BLOCXX_MICRO_VERSION 0 
#endif

/* blocxx Minor Version */
#ifndef BLOCXX_MINOR_VERSION 
#define BLOCXX_MINOR_VERSION 1 
#endif

/* Numeric blocxx Version */
#ifndef BLOCXX_VERSION_NUMBER 
#define BLOCXX_VERSION_NUMBER (BLOCXX_MAJOR_VERSION*10000 + BLOCXX_MINOR_VERSION*100 + BLOCXX_MICRO_VERSION) 
#endif

/* setregid() is broken */
/* #undef BLOCXX_BROKEN_SETREGID */

/* setresgid() is broken */
/* #undef BLOCXX_BROKEN_SETRESGID */

/* setresuid() is broken */
/* #undef BLOCXX_BROKEN_SETRESUID */

/* setreuid() is broken */
/* #undef BLOCXX_BROKEN_SETREUID */

/* Target OS is DARWIN */
/* #undef BLOCXX_DARWIN */

/* "The bin dir" */
#ifndef BLOCXX_DEFAULT_BIN_DIR 
#define BLOCXX_DEFAULT_BIN_DIR "/usr/bin" 
#endif

/* "The sbin dir" */
#ifndef BLOCXX_DEFAULT_SBIN_DIR 
#define BLOCXX_DEFAULT_SBIN_DIR "/usr/sbin" 
#endif

/* LD_LIBRARY_PATH env var gives path for finding shared libs */
#ifndef BLOCXX_ENV_VAR_LIBPATH 
#define BLOCXX_ENV_VAR_LIBPATH "LD_LIBRARY_PATH" 
#endif

/* Where false is. */
#ifndef BLOCXX_FALSE_PATHNAME 
#define BLOCXX_FALSE_PATHNAME "/bin/false" 
#endif

/* Number of args to gethostbyname_r() */
#ifndef BLOCXX_GETHOSTBYNAME_R_ARGUMENTS 
#define BLOCXX_GETHOSTBYNAME_R_ARGUMENTS 6 
#endif

/* Define to 1 if getopt and unistd conflict */
/* #undef BLOCXX_GETOPT_AND_UNISTD_CONFLICT */

/* The <alloca.h> header is available (c++) */
#ifndef BLOCXX_HAVE_ALLOCA_H 
#define BLOCXX_HAVE_ALLOCA_H 1 
#endif

/* The <arpa/inet.h> header is available (c++) */
#ifndef BLOCXX_HAVE_ARPA_INET_H 
#define BLOCXX_HAVE_ARPA_INET_H 1 
#endif

/* Define to 1 if you have the `asctime_r' function. */
#ifndef BLOCXX_HAVE_ASCTIME_R 
#define BLOCXX_HAVE_ASCTIME_R 1 
#endif

/* Define to 1 if you have the `backtrace' function. */
#ifndef BLOCXX_HAVE_BACKTRACE 
#define BLOCXX_HAVE_BACKTRACE 1 
#endif

/* The <byteswap.h> header is available (c++) */
#ifndef BLOCXX_HAVE_BYTESWAP_H 
#define BLOCXX_HAVE_BYTESWAP_H 1 
#endif

/* Define to 1 if the C++ compiler supports the C99 __func__ */
#ifndef BLOCXX_HAVE_C99_UUFUNCUU 
#define BLOCXX_HAVE_C99_UUFUNCUU 1 
#endif

/* The <cxxabi.h> header is available (c++) */
#ifndef BLOCXX_HAVE_CXXABI_H 
#define BLOCXX_HAVE_CXXABI_H 1 
#endif

/* Define to 1 if you have the declaration of `sigtimedwait', and to 0 if you
   don't. */
#ifndef BLOCXX_HAVE_DECL_SIGTIMEDWAIT 
#define BLOCXX_HAVE_DECL_SIGTIMEDWAIT 1 
#endif

/* Define to 1 if you have the declaration of `sigwaitinfo', and to 0 if you
   don't. */
#ifndef BLOCXX_HAVE_DECL_SIGWAITINFO 
#define BLOCXX_HAVE_DECL_SIGWAITINFO 1 
#endif

/* Define to 1 if you have the declaration of `sys_siglist', and to 0 if you
   don't. */
#ifndef BLOCXX_HAVE_DECL_SYS_SIGLIST 
#define BLOCXX_HAVE_DECL_SYS_SIGLIST 1 
#endif

/* Define to 1 if you have the declaration of `_PATH_DEFPATH', and to 0 if you
   don't. */
#ifndef BLOCXX_HAVE_DECL__PATH_DEFPATH 
#define BLOCXX_HAVE_DECL__PATH_DEFPATH 1 
#endif

/* Define to 1 if you have the declaration of `_PATH_STDPATH', and to 0 if you
   don't. */
#ifndef BLOCXX_HAVE_DECL__PATH_STDPATH 
#define BLOCXX_HAVE_DECL__PATH_STDPATH 1 
#endif

/* The <dirent.h> header is available (c++) */
#ifndef BLOCXX_HAVE_DIRENT_H 
#define BLOCXX_HAVE_DIRENT_H 1 
#endif

/* Define to 1 if you have the `dlopen' function. */
/* #undef BLOCXX_HAVE_DLOPEN */

/* Define to 1 if you don't have `vprintf' but do have `_doprnt.' */
/* #undef BLOCXX_HAVE_DOPRNT */

/* The <ext/hash_map> header is available (c++) */
#ifndef BLOCXX_HAVE_EXT_HASH_MAP 
#define BLOCXX_HAVE_EXT_HASH_MAP 1 
#endif

/* The <fcntl.h> header is available (c++) */
#ifndef BLOCXX_HAVE_FCNTL_H 
#define BLOCXX_HAVE_FCNTL_H 1 
#endif

/* Have gethostbyname_r() */
#ifndef BLOCXX_HAVE_GETHOSTBYNAME_R 
#define BLOCXX_HAVE_GETHOSTBYNAME_R 1 
#endif

/* The <getopt.h> header is available (c++) */
#ifndef BLOCXX_HAVE_GETOPT_H 
#define BLOCXX_HAVE_GETOPT_H 1 
#endif

/* Define to 1 if you have the `getopt_long' function. */
#ifndef BLOCXX_HAVE_GETOPT_LONG 
#define BLOCXX_HAVE_GETOPT_LONG 1 
#endif

/* Define to 1 if you have the `getpagesize' function. */
#ifndef BLOCXX_HAVE_GETPAGESIZE 
#define BLOCXX_HAVE_GETPAGESIZE 1 
#endif

/* Define to 1 if you have the `getpwnam_r' function. */
#ifndef BLOCXX_HAVE_GETPWNAM_R 
#define BLOCXX_HAVE_GETPWNAM_R 1 
#endif

/* Define to 1 if you have the `getpwuid_r' function. */
#ifndef BLOCXX_HAVE_GETPWUID_R 
#define BLOCXX_HAVE_GETPWUID_R 1 
#endif

/* Define to 1 if you have the `gettimeofday' function. */
#ifndef BLOCXX_HAVE_GETTIMEOFDAY 
#define BLOCXX_HAVE_GETTIMEOFDAY 1 
#endif

/* Define to 1 if you have the `gmtime_r' function. */
#ifndef BLOCXX_HAVE_GMTIME_R 
#define BLOCXX_HAVE_GMTIME_R 1 
#endif

/* The <grp.h> header is available (c++) */
#ifndef BLOCXX_HAVE_GRP_H 
#define BLOCXX_HAVE_GRP_H 1 
#endif

/* The <hash_map> header is available (c++) */
#ifndef BLOCXX_HAVE_HASH_MAP 
#define BLOCXX_HAVE_HASH_MAP 1 
#endif

/* The <iconv.h> header is available (c++) */
#ifndef BLOCXX_HAVE_ICONV_H 
#define BLOCXX_HAVE_ICONV_H 1 
#endif

/* Define to 1 if iconv is supported */
#ifndef BLOCXX_HAVE_ICONV_SUPPORT 
#define BLOCXX_HAVE_ICONV_SUPPORT 1 
#endif

/* The <inttypes.h> header is available (c++) */
#ifndef BLOCXX_HAVE_INTTYPES_H 
#define BLOCXX_HAVE_INTTYPES_H 1 
#endif

/* IPv6 is present and enabled */
#ifndef BLOCXX_HAVE_IPV6 
#define BLOCXX_HAVE_IPV6 1 
#endif

/* The <istream> header is available (c++) */
#ifndef BLOCXX_HAVE_ISTREAM 
#define BLOCXX_HAVE_ISTREAM 1 
#endif

/* The <istream.h> header is available (c++) */
/* #undef BLOCXX_HAVE_ISTREAM_H */

/* The <limits.h> header is available (c++) */
#ifndef BLOCXX_HAVE_LIMITS_H 
#define BLOCXX_HAVE_LIMITS_H 1 
#endif

/* Define to 1 if you have the `localtime_r' function. */
#ifndef BLOCXX_HAVE_LOCALTIME_R 
#define BLOCXX_HAVE_LOCALTIME_R 1 
#endif

/* Define to 1 if you have the <memory.h> header file. */
#ifndef BLOCXX_HAVE_MEMORY_H 
#define BLOCXX_HAVE_MEMORY_H 1 
#endif

/* Define to 1 if you have the `mkstemp' function. */
#ifndef BLOCXX_HAVE_MKSTEMP 
#define BLOCXX_HAVE_MKSTEMP 1 
#endif

/* Define to 1 if you have a working `mmap' system call. */
#ifndef BLOCXX_HAVE_MMAP 
#define BLOCXX_HAVE_MMAP 1 
#endif

/* define if struct msghdr contains the msg_control member */
#ifndef BLOCXX_HAVE_MSGHDR_MSG_CONTROL 
#define BLOCXX_HAVE_MSGHDR_MSG_CONTROL 1 
#endif

/* Define to 1 if you have the `nanosleep' function. */
#ifndef BLOCXX_HAVE_NANOSLEEP 
#define BLOCXX_HAVE_NANOSLEEP 1 
#endif

/* The <netinet/in.h> header is available (c++) */
#ifndef BLOCXX_HAVE_NETINET_IN_H 
#define BLOCXX_HAVE_NETINET_IN_H 1 
#endif

/* Define to 1 if you have the `NSLinkModule' function. */
/* #undef BLOCXX_HAVE_NSLINKMODULE */

/* The <ostream> header is available (c++) */
#ifndef BLOCXX_HAVE_OSTREAM 
#define BLOCXX_HAVE_OSTREAM 1 
#endif

/* The <ostream.h> header is available (c++) */
/* #undef BLOCXX_HAVE_OSTREAM_H */

/* The <paths.h> header is available (c++) */
#ifndef BLOCXX_HAVE_PATHS_H 
#define BLOCXX_HAVE_PATHS_H 1 
#endif

/* Define to 1 if PCRE regex is avaliable */
#ifndef BLOCXX_HAVE_PCRE 
#define BLOCXX_HAVE_PCRE 1 
#endif

/* Define to 1 if you have the <pcre.h> header file. */
#ifndef BLOCXX_HAVE_PCRE_H 
#define BLOCXX_HAVE_PCRE_H 1 
#endif

/* pthread_atfork() exists */
/* #undef BLOCXX_HAVE_PTHREAD_ATFORK */

/* The <pthread.h> header is available (c++) */
#ifndef BLOCXX_HAVE_PTHREAD_H 
#define BLOCXX_HAVE_PTHREAD_H 1 
#endif

/* Define to 1 if you have the `pthread_kill_other_threads_np' function. */
/* #undef BLOCXX_HAVE_PTHREAD_KILL_OTHER_THREADS_NP */

/* The <pth.h> header is available (c++) */
/* #undef BLOCXX_HAVE_PTH_H */

/* The <pwd.h> header is available (c++) */
#ifndef BLOCXX_HAVE_PWD_H 
#define BLOCXX_HAVE_PWD_H 1 
#endif

/* Define to 1 if you have the `random' function. */
#ifndef BLOCXX_HAVE_RANDOM 
#define BLOCXX_HAVE_RANDOM 1 
#endif

/* Define to 1 if POSIX regex is avaliable */
#ifndef BLOCXX_HAVE_REGEX 
#define BLOCXX_HAVE_REGEX 1 
#endif

/* Define to 1 if you have the <regex.h> header file. */
#ifndef BLOCXX_HAVE_REGEX_H 
#define BLOCXX_HAVE_REGEX_H 1 
#endif

/* Define to 1 if you have the `sched_yield' function. */
#ifndef BLOCXX_HAVE_SCHED_YIELD 
#define BLOCXX_HAVE_SCHED_YIELD 1 
#endif

/* Define to 1 if you have the `setegid' function. */
#ifndef BLOCXX_HAVE_SETEGID 
#define BLOCXX_HAVE_SETEGID 1 
#endif

/* Define to 1 if you have the `seteuid' function. */
#ifndef BLOCXX_HAVE_SETEUID 
#define BLOCXX_HAVE_SETEUID 1 
#endif

/* Define to 1 if you have the `setregid' function. */
#ifndef BLOCXX_HAVE_SETREGID 
#define BLOCXX_HAVE_SETREGID 1 
#endif

/* Define to 1 if you have the `setresgid' function. */
#ifndef BLOCXX_HAVE_SETRESGID 
#define BLOCXX_HAVE_SETRESGID 1 
#endif

/* Define to 1 if you have the `setresuid' function. */
#ifndef BLOCXX_HAVE_SETRESUID 
#define BLOCXX_HAVE_SETRESUID 1 
#endif

/* Define to 1 if you have the `setreuid' function. */
#ifndef BLOCXX_HAVE_SETREUID 
#define BLOCXX_HAVE_SETREUID 1 
#endif

/* Define to 1 if you have the `setrlimit' function. */
#ifndef BLOCXX_HAVE_SETRLIMIT 
#define BLOCXX_HAVE_SETRLIMIT 1 
#endif

/* Define to 1 if you have the `setsid' function. */
#ifndef BLOCXX_HAVE_SETSID 
#define BLOCXX_HAVE_SETSID 1 
#endif

/* Define to 1 if the system has the type `sighandler_t'. */
#ifndef BLOCXX_HAVE_SIGHANDLER_T 
#define BLOCXX_HAVE_SIGHANDLER_T 1 
#endif

/* Define to 1 if `si_fd' is a member of `siginfo_t'. */
#ifndef BLOCXX_HAVE_SIGINFO_T_SI_FD 
#define BLOCXX_HAVE_SIGINFO_T_SI_FD 1 
#endif

/* The <signal.h> header is available (c++) */
#ifndef BLOCXX_HAVE_SIGNAL_H 
#define BLOCXX_HAVE_SIGNAL_H 1 
#endif

/* Define to 1 if the system has the type `sigval'. */
/* #undef BLOCXX_HAVE_SIGVAL */

/* Define to 1 if the system has the type `sigval_t'. */
/* #undef BLOCXX_HAVE_SIGVAL_T */

/* Define to 1 if `sigval_int' is a member of `SIGVAL_TYPE'. */
/* #undef BLOCXX_HAVE_SIGVAL_TYPE_SIGVAL_INT */

/* Define to 1 if `sival_int' is a member of `SIGVAL_TYPE'. */
#ifndef BLOCXX_HAVE_SIGVAL_TYPE_SIVAL_INT 
#define BLOCXX_HAVE_SIGVAL_TYPE_SIVAL_INT 1 
#endif

/* Define to 1 if you have the `snprintf' function. */
#ifndef BLOCXX_HAVE_SNPRINTF 
#define BLOCXX_HAVE_SNPRINTF 1 
#endif

/* Define to 1 if you have the `srandom' function. */
#ifndef BLOCXX_HAVE_SRANDOM 
#define BLOCXX_HAVE_SRANDOM 1 
#endif

/* Define to 1 if you have the <stdarg.h> header file. */
#ifndef BLOCXX_HAVE_STDARG_H 
#define BLOCXX_HAVE_STDARG_H 1 
#endif

/* Define to 1 if you have the <stdint.h> header file. */
#ifndef BLOCXX_HAVE_STDINT_H 
#define BLOCXX_HAVE_STDINT_H 1 
#endif

/* Define to 1 if you have the <stdlib.h> header file. */
#ifndef BLOCXX_HAVE_STDLIB_H 
#define BLOCXX_HAVE_STDLIB_H 1 
#endif

/* Define to 1 if the C++ compiler supports std::tr1::is_pod<> */
#ifndef BLOCXX_HAVE_STD_TR1_IS_POD 
#define BLOCXX_HAVE_STD_TR1_IS_POD 1 
#endif

/* Define to 1 if the C++ compiler supports std::wstring */
#ifndef BLOCXX_HAVE_STD_WSTRING 
#define BLOCXX_HAVE_STD_WSTRING 1 
#endif

/* The <streambuf> header is available (c++) */
#ifndef BLOCXX_HAVE_STREAMBUF 
#define BLOCXX_HAVE_STREAMBUF 1 
#endif

/* The <streambuf.h> header is available (c++) */
/* #undef BLOCXX_HAVE_STREAMBUF_H */

/* Define to 1 if you have the `strerror' function. */
#ifndef BLOCXX_HAVE_STRERROR 
#define BLOCXX_HAVE_STRERROR 1 
#endif

/* Define to 1 if you have the <strings.h> header file. */
#ifndef BLOCXX_HAVE_STRINGS_H 
#define BLOCXX_HAVE_STRINGS_H 1 
#endif

/* Define to 1 if you have the <string.h> header file. */
#ifndef BLOCXX_HAVE_STRING_H 
#define BLOCXX_HAVE_STRING_H 1 
#endif

/* The <stropts.h> header is available (c++) */
#ifndef BLOCXX_HAVE_STROPTS_H 
#define BLOCXX_HAVE_STROPTS_H 1 
#endif

/* Define to 1 if you have the `strsignal' function. */
#ifndef BLOCXX_HAVE_STRSIGNAL 
#define BLOCXX_HAVE_STRSIGNAL 1 
#endif

/* Define to 1 if you have the `strtof' function. */
#ifndef BLOCXX_HAVE_STRTOF 
#define BLOCXX_HAVE_STRTOF 1 
#endif

/* Define to 1 if you have the `strtoll' function. */
#ifndef BLOCXX_HAVE_STRTOLL 
#define BLOCXX_HAVE_STRTOLL 1 
#endif

/* Define to 1 if you have the `strtoull' function. */
#ifndef BLOCXX_HAVE_STRTOULL 
#define BLOCXX_HAVE_STRTOULL 1 
#endif

/* Define to 1 if the system has the type `struct sigval'. */
/* #undef BLOCXX_HAVE_STRUCT_SIGVAL */

/* Define to 1 if the system has the type `struct sigval_t'. */
/* #undef BLOCXX_HAVE_STRUCT_SIGVAL_T */

/* Define to 1 if `st_blksize' is a member of `struct stat'. */
#ifndef BLOCXX_HAVE_STRUCT_STAT_ST_BLKSIZE 
#define BLOCXX_HAVE_STRUCT_STAT_ST_BLKSIZE 1 
#endif

/* Define to 1 if the system has the type `struct timespec'. */
#ifndef BLOCXX_HAVE_STRUCT_TIMESPEC 
#define BLOCXX_HAVE_STRUCT_TIMESPEC 1 
#endif

/* Define to 1 if the system has the type `struct timeval'. */
#ifndef BLOCXX_HAVE_STRUCT_TIMEVAL 
#define BLOCXX_HAVE_STRUCT_TIMEVAL 1 
#endif

/* Define to 1 if your `struct stat' has `st_blksize'. Deprecated, use
   `HAVE_STRUCT_STAT_ST_BLKSIZE' instead. */
#ifndef BLOCXX_HAVE_ST_BLKSIZE 
#define BLOCXX_HAVE_ST_BLKSIZE 1 
#endif

/* The <sys/cdefs.h> header is available (c++) */
#ifndef BLOCXX_HAVE_SYS_CDEFS_H 
#define BLOCXX_HAVE_SYS_CDEFS_H 1 
#endif

/* The <sys/epoll.h> header is available (c++) */
#ifndef BLOCXX_HAVE_SYS_EPOLL_H 
#define BLOCXX_HAVE_SYS_EPOLL_H 1 
#endif

/* The <sys/file.h> header is available (c++) */
#ifndef BLOCXX_HAVE_SYS_FILE_H 
#define BLOCXX_HAVE_SYS_FILE_H 1 
#endif

/* The <sys/int_types.h> header is available (c++) */
/* #undef BLOCXX_HAVE_SYS_INT_TYPES_H */

/* The <sys/ipc.h> header is available (c++) */
#ifndef BLOCXX_HAVE_SYS_IPC_H 
#define BLOCXX_HAVE_SYS_IPC_H 1 
#endif

/* Define to 1 if you have the <sys/param.h> header file. */
#ifndef BLOCXX_HAVE_SYS_PARAM_H 
#define BLOCXX_HAVE_SYS_PARAM_H 1 
#endif

/* The <sys/poll.h> header is available (c++) */
#ifndef BLOCXX_HAVE_SYS_POLL_H 
#define BLOCXX_HAVE_SYS_POLL_H 1 
#endif

/* The <sys/queue.h> header is available (c++) */
#ifndef BLOCXX_HAVE_SYS_QUEUE_H 
#define BLOCXX_HAVE_SYS_QUEUE_H 1 
#endif

/* The <sys/resource.h> header is available (c++) */
#ifndef BLOCXX_HAVE_SYS_RESOURCE_H 
#define BLOCXX_HAVE_SYS_RESOURCE_H 1 
#endif

/* The <sys/select.h> header is available (c++) */
#ifndef BLOCXX_HAVE_SYS_SELECT_H 
#define BLOCXX_HAVE_SYS_SELECT_H 1 
#endif

/* The <sys/sem.h> header is available (c++) */
#ifndef BLOCXX_HAVE_SYS_SEM_H 
#define BLOCXX_HAVE_SYS_SEM_H 1 
#endif

/* The <sys/socket.h> header is available (c++) */
#ifndef BLOCXX_HAVE_SYS_SOCKET_H 
#define BLOCXX_HAVE_SYS_SOCKET_H 1 
#endif

/* The <sys/sockio.h> header is available (c++) */
/* #undef BLOCXX_HAVE_SYS_SOCKIO_H */

/* The <sys/stat.h> header is available (c++) */
#ifndef BLOCXX_HAVE_SYS_STAT_H 
#define BLOCXX_HAVE_SYS_STAT_H 1 
#endif

/* The <sys/time.h> header is available (c++) */
#ifndef BLOCXX_HAVE_SYS_TIME_H 
#define BLOCXX_HAVE_SYS_TIME_H 1 
#endif

/* The <sys/types.h> header is available (c++) */
#ifndef BLOCXX_HAVE_SYS_TYPES_H 
#define BLOCXX_HAVE_SYS_TYPES_H 1 
#endif

/* The <sys/un.h> header is available (c++) */
#ifndef BLOCXX_HAVE_SYS_UN_H 
#define BLOCXX_HAVE_SYS_UN_H 1 
#endif

/* The <sys/wait.h> header is available (c++) */
#ifndef BLOCXX_HAVE_SYS_WAIT_H 
#define BLOCXX_HAVE_SYS_WAIT_H 1 
#endif

/* Define to 1 if you have the `timegm' function. */
#ifndef BLOCXX_HAVE_TIMEGM 
#define BLOCXX_HAVE_TIMEGM 1 
#endif

/* Define to 1 if the system has the type `union sigval'. */
#ifndef BLOCXX_HAVE_UNION_SIGVAL 
#define BLOCXX_HAVE_UNION_SIGVAL 1 
#endif

/* Define to 1 if the system has the type `union sigval_t'. */
/* #undef BLOCXX_HAVE_UNION_SIGVAL_T */

/* Define to 1 if you have the <unistd.h> header file. */
#ifndef BLOCXX_HAVE_UNISTD_H 
#define BLOCXX_HAVE_UNISTD_H 1 
#endif

/* Define to 1 if the C++ compiler supports __PRETTY_FUNCTION__ */
#ifndef BLOCXX_HAVE_UUPRETTY_FUNCTIONUU 
#define BLOCXX_HAVE_UUPRETTY_FUNCTIONUU 1 
#endif

/* Define to 1 if you have the <varargs.h> header file. */
/* #undef BLOCXX_HAVE_VARARGS_H */

/* Define to 1 if you have the `vprintf' function. */
#ifndef BLOCXX_HAVE_VPRINTF 
#define BLOCXX_HAVE_VPRINTF 1 
#endif

/* Define to 1 if the iconv inbuf parameter type is const char** */
/* #undef BLOCXX_ICONV_INBUF_CONST */

/* Define to 1 if <inttypes.h> defines PRIu32 and PRIx32. */
/* #undef BLOCXX_INTTYPES_H_DEFINES_PRI */

/* Define to 1 if <inttypes.h> does not define PRIu32 or PRIx32. */
#ifndef BLOCXX_INTTYPES_H_DOES_NOT_DEFINE_PRI 
#define BLOCXX_INTTYPES_H_DOES_NOT_DEFINE_PRI 1 
#endif

/* Define if sys/socket.h doesn't. */
/* #undef BLOCXX_LO_CMSG_DEF */

/* Target OS is NetWare */
/* #undef BLOCXX_NETWARE */

/* Define to 1 if the setresgid prototype is missing */
#ifndef BLOCXX_NO_SETRESGID_PROTO 
#define BLOCXX_NO_SETRESGID_PROTO 1 
#endif

/* Define to 1 if the setresuid prototype is missing */
#ifndef BLOCXX_NO_SETRESUID_PROTO 
#define BLOCXX_NO_SETRESUID_PROTO 1 
#endif

/* Name of package */
#ifndef BLOCXX_PACKAGE 
#define BLOCXX_PACKAGE "blocxx" 
#endif

/* Define to the address where bug reports for this package should be sent. */
#ifndef BLOCXX_PACKAGE_BUGREPORT 
#define BLOCXX_PACKAGE_BUGREPORT "blocxx-devel@lists.sourceforge.net" 
#endif

/* Define to the full name of this package. */
#ifndef BLOCXX_PACKAGE_NAME 
#define BLOCXX_PACKAGE_NAME "BloCxx" 
#endif

/* Define to the full name and version of this package. */
#ifndef BLOCXX_PACKAGE_STRING 
#define BLOCXX_PACKAGE_STRING "BloCxx 2.1.0" 
#endif

/* Define to the one symbol short name of this package. */
#ifndef BLOCXX_PACKAGE_TARNAME 
#define BLOCXX_PACKAGE_TARNAME "blocxx" 
#endif

/* Define to the home page for this package. */
#ifndef BLOCXX_PACKAGE_URL 
#define BLOCXX_PACKAGE_URL "" 
#endif

/* Define to the version of this package. */
#ifndef BLOCXX_PACKAGE_VERSION 
#define BLOCXX_PACKAGE_VERSION "2.1.0" 
#endif

/* seteuid() breaks setuid() */
/* #undef BLOCXX_SETEUID_BREAKS_SETUID */

/* The sigval type */
#ifndef BLOCXX_SIGVAL_TYPE 
#define BLOCXX_SIGVAL_TYPE union sigval 
#endif

/* The size of `char', as computed by sizeof. */
#ifndef BLOCXX_SIZEOF_CHAR 
#define BLOCXX_SIZEOF_CHAR 1 
#endif

/* The size of `char *', as computed by sizeof. */
#ifndef BLOCXX_SIZEOF_CHAR_P 
#define BLOCXX_SIZEOF_CHAR_P 8 
#endif

/* The size of `double', as computed by sizeof. */
#ifndef BLOCXX_SIZEOF_DOUBLE 
#define BLOCXX_SIZEOF_DOUBLE 8 
#endif

/* The size of `float', as computed by sizeof. */
#ifndef BLOCXX_SIZEOF_FLOAT 
#define BLOCXX_SIZEOF_FLOAT 4 
#endif

/* The size of `int', as computed by sizeof. */
#ifndef BLOCXX_SIZEOF_INT 
#define BLOCXX_SIZEOF_INT 4 
#endif

/* The size of `long double', as computed by sizeof. */
#ifndef BLOCXX_SIZEOF_LONG_DOUBLE 
#define BLOCXX_SIZEOF_LONG_DOUBLE 16 
#endif

/* The size of `long int', as computed by sizeof. */
#ifndef BLOCXX_SIZEOF_LONG_INT 
#define BLOCXX_SIZEOF_LONG_INT 8 
#endif

/* The size of `long long int', as computed by sizeof. */
#ifndef BLOCXX_SIZEOF_LONG_LONG_INT 
#define BLOCXX_SIZEOF_LONG_LONG_INT 8 
#endif

/* The size of `pthread_t', as computed by sizeof. */
#ifndef BLOCXX_SIZEOF_PTHREAD_T 
#define BLOCXX_SIZEOF_PTHREAD_T 8 
#endif

/* The size of `short int', as computed by sizeof. */
#ifndef BLOCXX_SIZEOF_SHORT_INT 
#define BLOCXX_SIZEOF_SHORT_INT 2 
#endif

/* Static services are enabled */
/* #undef BLOCXX_STATIC_SERVICES */

/* Define to 1 if you have the ANSI C header files. */
#ifndef BLOCXX_STDC_HEADERS 
#define BLOCXX_STDC_HEADERS 1 
#endif

/* Where true is. */
#ifndef BLOCXX_TRUE_PATHNAME 
#define BLOCXX_TRUE_PATHNAME "/bin/true" 
#endif

/* Fake libraries are enabled */
/* #undef BLOCXX_USE_FAKE_LIBS */

/* Version number of package */
#ifndef BLOCXX_VERSION 
#define BLOCXX_VERSION "2.1.0" 
#endif

/* Define to 1 if fork and waitpid must be done by the same thread */
/* #undef BLOCXX_WAITPID_THREADING_PROBLEM */

/* Define to 1 if WIFEXITED and WEXITSTATUS require wait.h */
#ifndef BLOCXX_WIFEXITED_NEEDS_WAIT_H 
#define BLOCXX_WIFEXITED_NEEDS_WAIT_H 1 
#endif

/* Defined if large file support requested while configure */
#ifndef BLOCXX_WITH_LARGEFILE 
#define BLOCXX_WITH_LARGEFILE 1 
#endif

/* Define WORDS_BIGENDIAN to 1 if your processor stores words with the most
   significant byte first (like Motorola and SPARC, unlike Intel). */
#if defined AC_APPLE_UNIVERSAL_BUILD
# if defined __BIG_ENDIAN__
#  define WORDS_BIGENDIAN 1
# endif
#else
# ifndef WORDS_BIGENDIAN
/* #  undef WORDS_BIGENDIAN */
# endif
#endif

/* Define to 1 if `lex' declares `yytext' as a `char *' by default, not a
   `char[]'. */
/* #undef BLOCXX_YYTEXT_POINTER */

/* Number of bits in a file offset, on hosts where this is settable. */
/* #undef BLOCXX__FILE_OFFSET_BITS */

/* Define for large files, on AIX-style hosts. */
/* #undef BLOCXX__LARGE_FILES */

/* Define for to get UNIX95 cmsghdr structures. */
/* #undef BLOCXX__XPG4_2 */

/* Define to `long int' if <sys/types.h> does not define. */
/* #undef off_t */

/* Define to `unsigned int' if <sys/types.h> does not define. */
/* #undef size_t */

/* Define to `uint16_t' if <sys/types.h> does not define. */
/* #undef u_int16_t */

/* Define to `uint32_t' if <sys/types.h> does not define. */
/* #undef u_int32_t */

/* Define to `uint8_t' if <sys/types.h> does not define. */
/* #undef u_int8_t */

/**
 * Make sure, that the large file support flags are set.
 */
#if  defined(BLOCXX__FILE_OFFSET_BITS) && \
    !defined(_FILE_OFFSET_BITS)
#define \
	_FILE_OFFSET_BITS  BLOCXX__FILE_OFFSET_BITS
#endif

#if  defined(BLOCXX__LARGE_FILES) && \
    !defined(_LARGE_FILES)
#define \
	_LARGE_FILES BLOCXX__LARGE_FILES
#endif

/* end of autoconf set vars */

/**
 * The BLOCXX_DEPRECATED macro can be used to trigger compile-time warnings
 * with gcc >= 3.2 when deprecated functions are used.
 *
 * For non-inline functions, the macro is used at the very end of the
 * function declaration, right before the semicolon, unless it's pure
 * virtual:
 *
 * int deprecatedFunc() const BLOCXX_DEPRECATED;
 * virtual int deprecatedPureVirtualFunc() const BLOCXX_DEPRECATED = 0;
 *
 * Functions which are implemented inline are handled differently:
 * the BLOCXX_DEPRECATED macro is used at the front, right before the return
 * type, but after "static" or "virtual":
 *
 * BLOCXX_DEPRECATED void deprecatedFuncA() { .. }
 * virtual BLOCXX_DEPRECATED int deprecatedFuncB() { .. }
 * static BLOCXX_DEPRECATED bool deprecatedFuncC() { .. }
 *
 * You can also mark whole structs or classes as deprecated, by inserting the
 * BLOCXX_DEPRECATED macro after the struct/class keyword, but before the
 * name of the struct/class:
 *
 * class BLOCXX_DEPRECATED DeprecatedClass { };
 * struct BLOCXX_DEPRECATED DeprecatedStruct { };
 * 
 * However, deprecating a struct/class doesn't create a warning for gcc 
 * versions <= 3.3 (haven't tried 3.4 yet).  If you want to deprecate a class,
 * also deprecate all member functions as well (which will cause warnings).
 *
 */
#if __GNUC__ - 0 > 3 || (__GNUC__ - 0 == 3 && __GNUC_MINOR__ - 0 >= 2)
#ifndef BLOCXX_DEPRECATED 
#define BLOCXX_DEPRECATED __attribute__ ((deprecated)) 
#endif
#else
#ifndef BLOCXX_DEPRECATED 
#define BLOCXX_DEPRECATED 
#endif
#endif

#ifdef BLOCXX_WIN32
#ifndef BLOCXX_EXPORT 
#define BLOCXX_EXPORT __declspec(dllexport) 
#endif
#ifndef BLOCXX_IMPORT 
#define BLOCXX_IMPORT __declspec(dllimport) 
#endif
#else
#ifndef BLOCXX_EXPORT 
#define BLOCXX_EXPORT 
#endif
#ifndef BLOCXX_IMPORT 
#define BLOCXX_IMPORT 
#endif
#endif

#ifdef BLOCXX_COMMON_BUILD
#ifndef BLOCXX_COMMON_API 
#define BLOCXX_COMMON_API BLOCXX_EXPORT 
#endif
#else
#ifndef BLOCXX_COMMON_API 
#define BLOCXX_COMMON_API BLOCXX_IMPORT 
#endif
#endif

#ifdef BLOCXX_WIN32
#ifndef BLOCXX_EXPORT_TEMPLATE 
#define BLOCXX_EXPORT_TEMPLATE(API, TMPL, X) template class API TMPL< X > 
#endif
#else
#ifndef BLOCXX_EXPORT_TEMPLATE 
#define BLOCXX_EXPORT_TEMPLATE(API, TMPL, X) 
#endif
#endif

/* C++ specific stuff here */
#ifdef __cplusplus

/* Need this first macro because ## doesn't expand vars, and we need an intermediate step */
#ifndef BLOCXX_NAMESPACE_CAT 
#define BLOCXX_NAMESPACE_CAT(bx, ver) bx ## ver 
#endif
#ifndef BLOCXX_NAMESPACE_AUX 
#define BLOCXX_NAMESPACE_AUX(ver) BLOCXX_NAMESPACE_CAT(blocxx, ver) 
#endif
#ifndef BLOCXX_NAMESPACE 
#define BLOCXX_NAMESPACE BLOCXX_NAMESPACE_AUX(BLOCXX_LIBRARY_VERSION) 
#endif

/* need this to set up an alias. */
namespace BLOCXX_NAMESPACE
{
}

namespace blocxx = BLOCXX_NAMESPACE;

#ifdef BLOCXX_DEBUG_MEMORY
#include "blocxx/MemTracer.hpp"
#endif

/* For printing function names during debug */
#ifdef BLOCXX_PRINT_FUNC_DEBUG
#include "blocxx/FuncNamePrinter.hpp"

#ifndef BLOCXX_PRINT_FUNC_NAME 
#define BLOCXX_PRINT_FUNC_NAME BLOCXX_FuncNamePrinter fnp##__LINE__ (__PRETTY_FUNCTION__) 
#endif

#ifndef BLOCXX_PRINT_FUNC_NAME_ARGS1 
#define BLOCXX_PRINT_FUNC_NAME_ARGS1(a) BLOCXX_FuncNamePrinter fnp##__LINE__ ( __PRETTY_FUNCTION__ , a) 
#endif
#ifndef BLOCXX_PRINT_FUNC_NAME_ARGS2 
#define BLOCXX_PRINT_FUNC_NAME_ARGS2(a, b) BLOCXX_FuncNamePrinter fnp##__LINE__ ( __PRETTY_FUNCTION__ , a, b) 
#endif
#ifndef BLOCXX_PRINT_FUNC_NAME_ARGS3 
#define BLOCXX_PRINT_FUNC_NAME_ARGS3(a, b, c) BLOCXX_FuncNamePrinter fnp##__LINE__ ( __PRETTY_FUNCTION__ , a, b, c) 
#endif
#ifndef BLOCXX_PRINT_FUNC_NAME_ARGS4 
#define BLOCXX_PRINT_FUNC_NAME_ARGS4(a, b, c, d) BLOCXX_FuncNamePrinter fnp##__LINE__ ( __PRETTY_FUNCTION__ , a, b, c, d) 
#endif
#ifndef BLOCXX_PRINT_FUNC_NAME_ARGS5 
#define BLOCXX_PRINT_FUNC_NAME_ARGS5(a, b, c, d, e) BLOCXX_FuncNamePrinter fnp##__LINE__ ( __PRETTY_FUNCTION__ , a, b, c, d, e) 
#endif
#ifndef BLOCXX_PRINT_FUNC_NAME_ARGS6 
#define BLOCXX_PRINT_FUNC_NAME_ARGS6(a, b, c, d, e, f) BLOCXX_FuncNamePrinter fnp##__LINE__ ( __PRETTY_FUNCTION__ , a, b, c, d, e, f) 
#endif
#ifndef BLOCXX_PRINT_FUNC_NAME_ARGS7 
#define BLOCXX_PRINT_FUNC_NAME_ARGS7(a, b, c, d, e, f, g) BLOCXX_FuncNamePrinter fnp##__LINE__ ( __PRETTY_FUNCTION__ , a, b, c, d, e, f, g) 
#endif
#ifndef BLOCXX_PRINT_FUNC_NAME_ARGS8 
#define BLOCXX_PRINT_FUNC_NAME_ARGS8(a, b, c, d, e, f, g, h) BLOCXX_FuncNamePrinter fnp##__LINE__ ( __PRETTY_FUNCTION__ , a, b, c, d, e, f, g, h) 
#endif
#ifndef BLOCXX_PRINT_FUNC_NAME_ARGS9 
#define BLOCXX_PRINT_FUNC_NAME_ARGS9(a, b, c, d, e, f, g, h, i) BLOCXX_FuncNamePrinter fnp##__LINE__ ( __PRETTY_FUNCTION__ , a, b, c, d, e, f, g, h, i) 
#endif
#ifndef BLOCXX_PRINT_FUNC_NAME_ARGS10 
#define BLOCXX_PRINT_FUNC_NAME_ARGS10(a, b, c, d, e, f, g, h, i, j) BLOCXX_FuncNamePrinter fnp##__LINE__ ( __PRETTY_FUNCTION__ , a, b, c, d, e, f, g, h, i, j) 
#endif
#else
#ifndef BLOCXX_PRINT_FUNC_NAME_ARGS1 
#define BLOCXX_PRINT_FUNC_NAME_ARGS1(a) 
#endif
#ifndef BLOCXX_PRINT_FUNC_NAME_ARGS2 
#define BLOCXX_PRINT_FUNC_NAME_ARGS2(a, b) 
#endif
#ifndef BLOCXX_PRINT_FUNC_NAME_ARGS3 
#define BLOCXX_PRINT_FUNC_NAME_ARGS3(a, b, c) 
#endif
#ifndef BLOCXX_PRINT_FUNC_NAME_ARGS4 
#define BLOCXX_PRINT_FUNC_NAME_ARGS4(a, b, c, d) 
#endif
#ifndef BLOCXX_PRINT_FUNC_NAME_ARGS5 
#define BLOCXX_PRINT_FUNC_NAME_ARGS5(a, b, c, d, e) 
#endif
#ifndef BLOCXX_PRINT_FUNC_NAME_ARGS6 
#define BLOCXX_PRINT_FUNC_NAME_ARGS6(a, b, c, d, e, f) 
#endif
#ifndef BLOCXX_PRINT_FUNC_NAME_ARGS7 
#define BLOCXX_PRINT_FUNC_NAME_ARGS7(a, b, c, d, e, f, g) 
#endif
#ifndef BLOCXX_PRINT_FUNC_NAME_ARGS8 
#define BLOCXX_PRINT_FUNC_NAME_ARGS8(a, b, c, d, e, f, g, h) 
#endif
#ifndef BLOCXX_PRINT_FUNC_NAME_ARGS9 
#define BLOCXX_PRINT_FUNC_NAME_ARGS9(a, b, c, d, e, f, g, h, i) 
#endif
#ifndef BLOCXX_PRINT_FUNC_NAME_ARGS10 
#define BLOCXX_PRINT_FUNC_NAME_ARGS10(a, b, c, d, e, f, g, h, i, j) 
#endif
#ifndef BLOCXX_PRINT_FUNC_NAME 
#define BLOCXX_PRINT_FUNC_NAME 
#endif
#endif /* #ifdef BLOCXX_PRINT_FUNC_DEBUG */

#endif /* #ifdef __cplusplus */

 
/* once:
_BLOCXX_BLOCXX_CONFIG_H
*/
#endif
